## mingw-w64-corrosion-0.5.1-1.src.tar.zst

=== test/multitarget/CMakeLists.txt ===
corrosion_tests_add_test(multitarget "bin1;bin2;bin3")

# Don't run this test in parallel with others, since the target directory size may cause issues.
set_tests_properties("multitarget_build" PROPERTIES RUN_SERIAL TRUE)

set_tests_properties("multitarget_run_bin1" PROPERTIES PASS_REGULAR_EXPRESSION
        "Hello, world!\r?\nHello, bin1! I'm Cpp!"
        RUN_SERIAL
        TRUE
        )

set_tests_properties("multitarget_run_bin2" PROPERTIES PASS_REGULAR_EXPRESSION
        "Hello, world!\r?\nHello, bin2! I'm Cpp!"
        RUN_SERIAL
        TRUE
        )

set_tests_properties("multitarget_run_bin3" PROPERTIES PASS_REGULAR_EXPRESSION
        "Hello, world!\r?\nHello, bin3! I'm Cpp!"
        RUN_SERIAL
        TRUE
        )

=== PKGBUILD ===
# Maintainer: Maksim Bondarenkov <maksapple2306@gmail.com>

_realname=corrosion
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.5.1
pkgrel=1
pkgdesc="Tool for integrating Rust into an existing CMake project (mingw-w64)"
arch=('any')
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
url='https://github.com/corrosion-rs/corrosion'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-rust" "${MINGW_PACKAGE_PREFIX}-cmake")
makedepends=("${MINGW_PACKAGE_PREFIX}-ninja")
source=("${url}/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('843334a9f0f5efbc225dccfa88031fe0f2ec6fd787ca1e7d55ed27b2c25d9c97')

build() {
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    cmake \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      -DCMAKE_INSTALL_LIBEXECDIR=lib \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  cmake --build "build-${MSYSTEM}"
}

check() {
  ctest --test-dir "build-${MSYSTEM}" || warning "Tests failed"
}

package() {
  DESTDIR="${pkgdir}" cmake --install "build-${MSYSTEM}"

  install -Dm644 "${_realname}-${pkgver}/LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
